Bug 751325 (CVE-2011-4113)

Summary: CVE-2011-4113 drupal-views, drupal6-views: SQL injection due improper escaping of database parameters for certain filters / arguments (SA-CONTRIB-2011-052)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: gwync, stickster, sven, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-19 21:51:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Lieskovsky 2011-11-04 10:46:44 UTC
A SQL injection flaw was found in the way the views module for the Drupal (v6.x based), open-source content-management platform, performed sanitization of the database parameters for certain filters / arguments on certain types of views with specific configuration of arguments. A remote attacker could provide a specially-crafted SQL query, which once processed by the Drupal system instance could lead to arbitrary SQL commands execution.

References:
[1] http://drupal.org/node/1329898
[2] http://drupal.org/node/1329846

Comment 1 Jan Lieskovsky 2011-11-04 10:50:36 UTC
CVE request:
[3] http://www.openwall.com/lists/oss-security/2011/11/04/1

Comment 2 Jan Lieskovsky 2011-11-04 11:11:15 UTC
This issue has been addressed in the following updates for drupal-views / drupal6-views packages in Fedora and Fedora EPEL:

1) drupal6-views-2.13-1.fc16,
2) drupal6-views-2.13-1.fc15,
3) drupal-views-6.x.2.13-1.fc14,
4) drupal6-views-2.13-1.el6,
5) drupal6-views-2.13-1.el5.

Comment 3 Vincent Danen 2011-11-04 15:52:43 UTC
This has been assigned the name CVE-2011-4113:

http://www.openwall.com/lists/oss-security/2011/11/04/3